> For the complete documentation index, see [llms.txt](https://docs.sickscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sickscripts.com/shared-framework/sickdirtycops/updates.md).

# Updates

## Criminal Notification

A new feature now will send a notification to the players in the city. It has a chance check first so it wont always send! Then it checks that the players job is NOT police and will send the notification! This will show minimal info but just enough to give a hint where the Dirty Cop is!

{% code title="server/Sutils.lua" lineNumbers="true" %}

```lua
RegisterNetEvent('SickDirtyCops:NotifyCrimsOfLocation') -- New Event to notify players of Dirty cop location when it moves
AddEventHandler('SickDirtyCops:NotifyCrimsOfLocation', function(street)
    local chance = math.random(0,100) -- chance for the notification to be sent
    if chance < 15 then
        local xPlayers = ESX.GetExtendedPlayers() -- get extended players
        for _, xPlayer in pairs(xPlayers) do
            if not xPlayer.getJob()[Config.PoliceJobName] then -- if players job is not a police job then send message
                if not SentMessage then -- to prevent double messages
                    local NotifData = {
                        title = "Dirty Cop",
                        message = ("Aye I Just picked a new spot! This is to keep cops out of our business! But the new location? Street: %s"):format(street),
                        img= '/html/static/img/icons/messages.png',
                        duration = 7000,
                    }
                    exports["gksphone"]:SendNotification(xPlayer.source, NotifData) -- change to what ever you would like
                    SentMessage = true -- to prevent double messages
                end
            end
        end
        SentMessage = false -- to prevent double messages
    end
end)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sickscripts.com/shared-framework/sickdirtycops/updates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
